Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001212KdenliveRenderingpublic2009-10-13 09:472011-11-01 18:57
Reporterassem046 
Assigned ToGranjow 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformX64OSOpenSUSEOS Version11.2
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0001212: 2 pass rendering H264 always failed
DescriptionWhen I render a project using profile "H.264 .....k 2pass" it always failed at the end with error:
melt: encoder/slicetype.c:706: x264_slicetype_analyse: Controletest 'h->frames.b_have_lowres' faalt

When I render the same project using profile "H.264 .....k" 1 pass it don't fail. It doesn't matter wich profile I use, tested with 6000k and 10000k and 25000k. It only fails with 2 pass profiles.
Steps To ReproduceRender a project using a 2 pass H264 profile.
Additional InformationIt happens with latest ffmpeg svn. With ffmpeg r20024 (from suse packman repo) it renders fine.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0004154)
assem046 (reporter)
2009-10-13 09:48

Output bash:

Started render process: "/usr/bin/melt" "/tmp/kde-wilfred/kdenlivee20111.mlt -profile atsc_1080p_30 -consumer avformat:/home/wilfred/kdenlive/Intro_ffmpeg_svn.mp4 progress=1 f=mp4 hq=1 acodec=libfaac ab=128k ar=48000 pix_fmt=yuv420p vcodec=libx264 minrate=0 b=6000k b_strategy=1 subcmp=2 cmp=2 coder=1 flags=+loop flags2=dct8x8 qmax=51 subq=7 qmin=10 qcomp=0.6 qdiff=4 trellis=1 aspect=@16/9 pass=2"
Rendering of "/home/wilfred/kdenlive/Intro_ffmpeg_svn.mp4" aborted, resulting video will probably be corrupted.
(0004158)
raps (reporter)
2009-10-13 23:27

Is it the same cause as issue 1197 ?
(0004164)
assem046 (reporter)
2009-10-14 09:29

I don't think it is the same as 1197.
At the end of the second pass, it says "Rendering of .... aborted, resulting video will probably be corrupted.
Yesterday, I tried rendering with an "MPEG-4 25000k 2pass" profile and it finished correctly. So maybe it's an ffmpeg x264 issue but I don't know.
Also with x264 there is an audio delay of 1 second in the rendered movie. This don't happen when I rendered with "MPEG-4 25000k 2pass" profile.
(0004174)
ddennedy (developer)
2009-10-18 06:49

There were some major changes in x264 recently and then in FFmpeg's integration of x264. I had to add some options in the export profiles in the 0.7.6 release to even get any x264 encoding to work with these recent versions. Now, it seems there are some other problems.

I just tested successfully here 2 pass at 200K and 6000K with FFmpeg r19873 and x264 r538 (build 67). Yes, I know this is not a very recent version of x264. In debugging the problem with recent versions I had upgraded temporarily and then downgraded. This is just informational for now. I do not know exactly when I will get around to updating and retesting. I might wait a while to see if things settle down or shake in FFmpeg.
(0006866)
Granjow (developer)
2011-06-11 08:55

Works fine now.

- Issue History
Date Modified Username Field Change
2009-10-13 09:47 assem046 New Issue
2009-10-13 09:47 assem046 Build/Install Method => Manual build from SVN
2009-10-13 09:48 assem046 Note Added: 0004154
2009-10-13 23:27 raps Note Added: 0004158
2009-10-14 09:29 assem046 Note Added: 0004164
2009-10-18 06:49 ddennedy Note Added: 0004174
2011-06-11 08:55 Granjow Note Added: 0006866
2011-06-11 08:55 Granjow Status new => resolved
2011-06-11 08:55 Granjow Resolution open => no change required
2011-06-11 08:55 Granjow Assigned To => Granjow
2011-07-05 12:15 j-b-m Fixed in Version => 0.8.2
2011-11-01 18:57 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker